mssql_fetch_batch
mssql_fetch_object
Mssql Functions
PHP Manual

# mssql_fetch_field

(PHP 4, PHP 5, PECL odbtp:1.1.1-1.1.4)

mssql_fetch_field — Get field information

### Description

object mssql_fetch_field ( resource `$result` [, int `$field_offset` ] )

mssql_fetch_field() can be used in order to obtain information about fields in a certain query result.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

`field_offset`

  The numerical field offset. If the field offset is not specified, the next field that was not yet retrieved by this function is retrieved. The `field_offset` starts at 0.

### Return Values

Returns an object containing field information.

The properties of the object are:

- name - column name. if the column is a result of a function, this property is set to computed#N, where #N is a serial number.
- column_source - the table from which the column was taken
- max_length - maximum length of the column
- numeric - 1 if the column is numeric
- type - the column type.

### See Also

- mssql_field_seek()

mssql_fetch_batch
mssql_fetch_object
Mssql Functions
PHP Manual